.include "tn12def.inc"

Init:
	ldi R16, 0b00000111	; PB2-0 Ausgang
	out DDRB, R16		; PB5-3 Eingang wegen Reset(OpenDrain)
	
	ldi R16, 0b00111000	; PB2-0 Ausgnge Low
	out PORTB, R16		; PB4-3 Pullup Widerstnde an, PB5 hat keinen internen
					; also nicht vergessen diesen extern anzuschliessen

	ldi R16, 0b00111001	; Konstante fr den Ausgang 0 setzen
	ldi R17, 0b00111010	; Konstante fr den Ausgang 1 setzen
	ldi R18, 0b00111100	; Konstante fr den Ausgang 2 setzen

Loop:					; Taster nicht gedrckt = Highpegel !!!!!!!!!!!!!!!!!!!!
	sbis PINB, 5		; Taster PB5 nicht gedrckt, berspringe nchsten Befehl
	out PORTB, R16		; Ausgang 0 einschalten
	sbis PINB, 4		; Taster PB4 nicht gedrckt, berspringe nchsten Befehl
	out PORTB, R17		; Ausgang 1 einschalten
	sbis PINB, 3		; Taster PB3 nicht gedrckt, berspringe nchsten Befehl
	out PORTB, R18		; Ausgang 2 einschalten
	rjmp Loop			; alles wieder von vorn